<template>
<div id="app">
  <div class="col s12 m12" id="appDos" v-show="storage" v-model="storage">
    <div class="container section" id="columna">
      <a href="#" data-target="slide-out" class="btn-floating sidenav-trigger pulse lime darken-4 tooltipped" data-position="right" data-tooltip="Menú">
        <i class="material-icons">menu</i>
      </a>
    </div>
    <nav class="lime darken-4" id="oculto">
      <div class="container">
        <div class="nav-wrapper">
          <a href="" class="brand-logo">
            <img src="../src/assets/img/logo-letras-blancas.png" id="logo-pelis" width="auto" height="80px">
          </a>
        </div>
      </div>
    </nav>
    <div class="fixed-action-btn">
      <a class="btn-floating btn-large cyan darken-2 tooltipped" data-position="left" data-tooltip="Redes sociales">
        <i class="far fa-thumbs-up"></i>
      </a>
      <ul>
        <li>
          <a class="btn-floating blue tooltipped" data-position="left" data-tooltip="Twitter">
            <i class="fab fa-twitter"></i>
          </a>
        </li>
        <li>
          <a class="btn-floating blue darken-4 tooltipped" data-position="left" data-tooltip="Facebook">
            <i class="fab fa-facebook-f"></i>
          </a>
        </li>
        <li>
          <a class="btn-floating purple tooltipped" data-position="left" data-tooltip="Instagram">
            <i class="fab fa-instagram"></i>
          </a>
        </li>
      </ul>
    </div>
  </div>
  <ul id="slide-out" class="sidenav">
    <li>
      <div class="user-view">
        <div class="background">
          <img src="../src/assets/img/logotipo.png" id="img-logo">
        </div>
        <span class="name black-text" style="font-weight: bolder;">{{user.Nombre}} {{user.Apellido}}</span>
        <span class="email black-text" style="font-weight: bolder;">{{user.Correo}}</span>
      </div>
    </li>
    <li class="left-align">
      <a href="/Movie"><i class=" material-icons">local_movies</i>Peliculas</a>
    </li>
    <li class="left-align">
      <a href="/about"><i class=" material-icons">format_quote</i>Conocenos</a>
    </li>
    <li>
      <div class="divider"></div>
    </li>
    <li class="left-align">
      <router-link tag="a" :to="{name: 'Profile'}">
        <i class=" material-icons">account_circle</i>
        Perfil
      </router-link>
    </li>
    <li class="left-align">
      <a class="waves-effect" @click="destroy">
        <i class="material-icons">exit_to_app</i>
        SALIR
      </a>
    </li>
  </ul>
  <router-view :key="$route.fullPath" />

  <footer class="page-footer lime darken-4" v-show="storage">
    <div class="container">
      <div class="row ">
        <div class="col l12 s12 ">
          <h6 class="white-text center">PelisTV</h6>
        </div>
      </div>
    </div>
    <div class="footer-copyright center">
      <div class="row ">
        <div class="col l12 s12 ">
          <span class="white-text center">© 2020 Copyright PelisTV</span>
        </div>
      </div>
    </div>
  </footer>
</div>
</template>
<script type="text/javascript">
import Swal from 'sweetalert2'

export default {
  name: 'app',
  data() {
    return {
      storage: false,
      user: {}
    }
  },
  mounted() {
    M.AutoInit();
    this.storage = this.getStorage();
    this.user = this.getUserLogs();
  },
  methods: {
    getStorage(keyToFind = 'storage') {
      return JSON.parse(localStorage.getItem(keyToFind));
    },
    setStorage(key, StorageObject) {
      return localStorage.setItem(key, JSON.stringify(StorageObject));
    },
    getUserLogs() {
      const uLog = this.getStorage('userLog');
      return uLog;
    },
    removeStorage(keyToRemove = 'storage') {
      this.storage = false;
      return localStorage.removeItem(keyToRemove);
    },
    async destroy() {
      this.removeStorage();
      this.Sweetalert('¡¡Feliz día, vuelva pronto!!');
      setTimeout(function() {
        window.location = '/';
      }, 1500);
    },
    Sweetalert(title = '', icon = 'success') {
      Swal.fire({
        position: 'center',
        icon: icon,
        title: title,
        showConfirmButton: false,
        timer: 1500
      })
    },
  }
}
</script>
<style>
#columna {
  position: fixed;
  text-align: left;
  padding-left: 15px;
  z-index: 100;
}

#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}

#nav {
  padding: 30px;
}

#nav a {
  font-weight: bold;
  color: #2c3e50;
}

#nav a.router-link-exact-active {
  color: #42b983;
}

#img-logo {
  width: auto;
  height: 120px;
}

#logo-pelis {
  margin-top: 4px;
}

#app {
  display: flex;
  min-height: 100vh;
  flex-direction: column;
}

#appDos {
  flex: 1 0 auto;
}
</style>
